Page MenuHomePhabricator

efl_ui_grid: Fix dereferencing null pointer
ClosedPublic

Authored by devilhorns on Mar 12 2019, 7:44 AM.

Details

Summary

Coverity reports EFL_UI_GRID_ITEM_DATA_GET can return NULL (checked
273 out of 281 times). As such, we should verify that 'id' is not NULL
here before trying to dereference it.

Fixes Coverity CID1397000

@fix

Depends on D8318

Diff Detail

Repository
rEFL core/efl
Branch
devs/devilhorns/coverity
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 10270
devilhorns created this revision.Mar 12 2019, 7:44 AM
devilhorns requested review of this revision.Mar 12 2019, 7:44 AM
devilhorns updated this revision to Diff 20507.Mar 13 2019, 5:30 AM
devilhorns edited the summary of this revision. (Show Details)

rebase

cedric accepted this revision.Mar 13 2019, 4:13 PM
This revision is now accepted and ready to land.Mar 13 2019, 4:13 PM
devilhorns closed this revision.Mar 14 2019, 4:22 AM